Last Comment Bug 343852 - Host verification dialog has button "Stop"
: Host verification dialog has button "Stop"
Status: RESOLVED FIXED
[strings changes in comment 3]
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Security (show other bugs)
: Trunk
: PowerPC Mac OS X
-- normal (vote)
: ---
Assigned To: Stuart Morgan
:
:
Mentors:
Depends on:
Blocks: 325880
  Show dependency treegraph
 
Reported: 2006-07-07 03:25 PDT by Håkan Waara
Modified: 2006-10-27 17:48 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
new nib (6.52 KB, application/octet-stream)
2006-10-21 10:12 PDT, Stuart Morgan
no flags Details
with fixed tabbing (6.73 KB, application/octet-stream)
2006-10-21 12:25 PDT, Stuart Morgan
alqahira: review+
mikepinkerton: superreview+
Details

Description User image Håkan Waara 2006-07-07 03:25:02 PDT
Seen in Camino 1.0.2 (localized)

Go to https://cacert.org

The button to not do anything at all is labelled "Stop"? 

I think this would be less confusing as "Cancel", like other dialogs of the same kind.
Comment 1 User image Chris Lawson (gone) 2006-07-07 09:25:58 PDT
Given the query in the dialog, I think "Stop" makes sense, but you raise a good point in that users probably don't read dialog boxes as carefully as they should.

cl
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-07 22:44:05 PDT
We could probably fit "Don’t Connect" in there, which would be a bit better than "Stop" and much more-so than "Cancel".
Comment 3 User image Stuart Morgan 2006-10-21 10:12:11 PDT
Created attachment 243010 [details]
new nib

Assuming we want this, here's a nib that changes it to
"Always Accept" "Don't Connect" "Accept Once"
(the last matching the keychain dialogs and giving us more room to work with).

I'm ambivalent, as Stop seems fine to me, but let's decide one way or the other and get it off the list.

The strings:
"StopButton" = "Stop"; -> "Don't Connect";
"Accept Once" = "Accept One Time Only"; -> "Accept Once";
will also need to change; they don't appear to be used at the moment, but they should stay consistent in case they are.
Comment 4 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-10-21 10:49:48 PDT
Comment on attachment 243010 [details]
new nib

The changes are fine and the nib looks good, but while we're touching the nib, can we fix the tab chain?

1) The initial focus (under FKA) is something invisible
2) There are 2-3 other invisible items in the tab chain (seems like 3 in the initial case and 2 once you've tabbed around once?)
3) We should probably put initial focus for FKA on the "Don't Connect" button (a la bug 328048) so that space behaves like it does for FKA in well-behaved apps.
Comment 5 User image Stuart Morgan 2006-10-21 12:25:35 PDT
Created attachment 243021 [details]
with fixed tabbing

As requested
Comment 6 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-10-21 13:25:03 PDT
Comment on attachment 243021 [details]
with fixed tabbing

r=ardissone

Requesting rs from pink; this just changes "Stop" to "Don't Connect" and fixes the tab chain to work under full keyboard access.
Comment 7 User image Mike Pinkerton (not reading bugmail) 2006-10-25 07:54:17 PDT
Comment on attachment 243021 [details]
with fixed tabbing

rs=pink
Comment 8 User image froodian (Ian Leue) 2006-10-25 12:29:08 PDT
Checked in on 1.8branch and trunk.

Note You need to log in before you can comment on or make changes to this bug.